com.digi.xbee.api.models

## Class HardwareVersion

- java.lang.Object
- - com.digi.xbee.api.models.HardwareVersion

-     public class HardwareVersion
      extends Object

  This class represents the hardware version number of an XBee device.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static HardwareVersion` | `get(int value)` Returns the `HardwareVersion` object associated to the given numeric value.
    `static HardwareVersion` | `get(int value, String description)` Returns the `HardwareVersion` object associated to the given numeric value and description.
    `String` | `getDescription()` Returns the Hardware version description.
    `int` | `getValue()` Returns the Hardware version numeric value.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### get

          public static HardwareVersion get(int value)

      Returns the `HardwareVersion` object associated to the given numeric value.
      Parameters:
        `value` - Numeric value of the `HardwareVersion` retrieve.
      Returns:
        The `HardwareVersion` associated to the given value, `null` if there is not any `HardwareVersion` with that value.

    - #### get

          public static HardwareVersion get(int value,
                            String description)

      Returns the `HardwareVersion` object associated to the given numeric value and description.
      Parameters:
        `value` - Numeric value of the `HardwareVersion` retrieve.
        `description` - Description of the `HardwareVersion` retrieve.
      Returns:
        The `HardwareVersion` associated to the given value and description, `null` if there is not any `HardwareVersion` associated to those values.
      Throws:
        `IllegalArgumentException` - if `value < 0` or if `description.length() < 1`.
        `NullPointerException` - if `description == null`.

    - #### getDescription

          public String getDescription()

      Returns the Hardware version description.
      Returns:
        Hardware version description.

    - #### getValue

          public int getValue()

      Returns the Hardware version numeric value.
      Returns:
        Hardware version numeric value.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

© Copyright 2014–2014 Digi International Inc. All rights reserved.